import "./organization-tree.css";
import { defineComponent as rt, openBlock as p, createElementBlock as S, Fragment as b, normalizeClass as A, normalizeStyle as D, withModifiers as y, renderList as x, createTextVNode as ft, toDisplayString as V, createCommentVNode as L, createElementVNode as k, resolveComponent as pt, mergeProps as G, createBlock as N, Teleport as yt } from "vue";
import { _ as at } from "../../_plugin-vue_export-helper-dad06003.js";
function St(t, e) {
  if (t.match(/^[a-z]+:\/\//i))
    return t;
  if (t.match(/^\/\//))
    return window.location.protocol + t;
  if (t.match(/^[a-z]+:/i))
    return t;
  const n = document.implementation.createHTMLDocument(), o = n.createElement("base"), i = n.createElement("a");
  return n.head.appendChild(o), n.body.appendChild(i), e && (o.href = e), i.href = t, i.href;
}
const $t = (() => {
  let t = 0;
  const e = () => (
    // eslint-disable-next-line no-bitwise
    `0000${(Math.random() * 36 ** 4 << 0).toString(36)}`.slice(-4)
  );
  return () => (t += 1, `u${e()}${t}`);
})();
function v(t) {
  const e = [];
  for (let n = 0, o = t.length; n < o; n++)
    e.push(t[n]);
  return e;
}
function H(t, e) {
  const o = (t.ownerDocument.defaultView || window).getComputedStyle(t).getPropertyValue(e);
  return o ? parseFloat(o.replace("px", "")) : 0;
}
function Pt(t) {
  const e = H(t, "border-left-width"), n = H(t, "border-right-width");
  return t.clientWidth + e + n;
}
function wt(t) {
  const e = H(t, "border-top-width"), n = H(t, "border-bottom-width");
  return t.clientHeight + e + n;
}
function ct(t, e = {}) {
  const n = e.width || Pt(t), o = e.height || wt(t);
  return { width: n, height: o };
}
function Ct() {
  let t, e;
  try {
    e = process;
  } catch {
  }
  const n = e && e.env ? e.env.devicePixelRatio : null;
  return n && (t = parseInt(n, 10), Number.isNaN(t) && (t = 1)), t || window.devicePixelRatio || 1;
}
const P = 16384;
function vt(t) {
  (t.width > P || t.height > P) && (t.width > P && t.height > P ? t.width > t.height ? (t.height *= P / t.width, t.width = P) : (t.width *= P / t.height, t.height = P) : t.width > P ? (t.height *= P / t.width, t.width = P) : (t.width *= P / t.height, t.height = P));
}
function X(t) {
  return new Promise((e, n) => {
    const o = new Image();
    o.decode = () => e(o), o.onload = () => e(o), o.onerror = n, o.crossOrigin = "anonymous", o.decoding = "async", o.src = t;
  });
}
async function bt(t) {
  return Promise.resolve().then(() => new XMLSerializer().serializeToString(t)).then(encodeURIComponent).then((e) => `data:image/svg+xml;charset=utf-8,${e}`);
}
async function Et(t, e, n) {
  const o = "http://www.w3.org/2000/svg", i = document.createElementNS(o, "svg"), r = document.createElementNS(o, "foreignObject");
  return i.setAttribute("width", `${e}`), i.setAttribute("height", `${n}`), i.setAttribute("viewBox", `0 0 ${e} ${n}`), r.setAttribute("width", "100%"), r.setAttribute("height", "100%"), r.setAttribute("x", "0"), r.setAttribute("y", "0"), r.setAttribute("externalResourcesRequired", "true"), i.appendChild(r), r.appendChild(t), bt(i);
}
const $ = (t, e) => {
  if (t instanceof e)
    return !0;
  const n = Object.getPrototypeOf(t);
  return n === null ? !1 : n.constructor.name === e.name || $(n, e);
};
function kt(t) {
  const e = t.getPropertyValue("content");
  return `${t.cssText} content: '${e.replace(/'|"/g, "")}';`;
}
function It(t) {
  return v(t).map((e) => {
    const n = t.getPropertyValue(e), o = t.getPropertyPriority(e);
    return `${e}: ${n}${o ? " !important" : ""};`;
  }).join(" ");
}
function Rt(t, e, n) {
  const o = `.${t}:${e}`, i = n.cssText ? kt(n) : It(n);
  return document.createTextNode(`${o}{${i}}`);
}
function Q(t, e, n) {
  const o = window.getComputedStyle(t, n), i = o.getPropertyValue("content");
  if (i === "" || i === "none")
    return;
  const r = $t();
  try {
    e.className = `${e.className} ${r}`;
  } catch {
    return;
  }
  const a = document.createElement("style");
  a.appendChild(Rt(r, n, o)), e.appendChild(a);
}
function Tt(t, e) {
  Q(t, e, ":before"), Q(t, e, ":after");
}
const _ = "application/font-woff", tt = "image/jpeg", xt = {
  woff: _,
  woff2: _,
  ttf: "application/font-truetype",
  eot: "application/vnd.ms-fontobject",
  png: "image/png",
  jpg: tt,
  jpeg: tt,
  gif: "image/gif",
  tiff: "image/tiff",
  svg: "image/svg+xml",
  webp: "image/webp"
};
function Dt(t) {
  const e = /\.([^./]*?)$/g.exec(t);
  return e ? e[1] : "";
}
function J(t) {
  const e = Dt(t).toLowerCase();
  return xt[e] || "";
}
function Lt(t) {
  return t.split(/,/)[1];
}
function q(t) {
  return t.search(/^(data:)/) !== -1;
}
function lt(t, e) {
  return `data:${e};base64,${t}`;
}
async function ht(t, e, n) {
  const o = await fetch(t, e);
  if (o.status === 404)
    throw new Error(`Resource "${o.url}" not found`);
  const i = await o.blob();
  return new Promise((r, a) => {
    const s = new FileReader();
    s.onerror = a, s.onloadend = () => {
      try {
        r(n({ res: o, result: s.result }));
      } catch (c) {
        a(c);
      }
    }, s.readAsDataURL(i);
  });
}
const Z = {};
function Mt(t, e, n) {
  let o = t.replace(/\?.*/, "");
  return n && (o = t), /ttf|otf|eot|woff2?/i.test(o) && (o = o.replace(/.*\//, "")), e ? `[${e}]${o}` : o;
}
async function K(t, e, n) {
  const o = Mt(t, e, n.includeQueryParams);
  if (Z[o] != null)
    return Z[o];
  n.cacheBust && (t += (/\?/.test(t) ? "&" : "?") + (/* @__PURE__ */ new Date()).getTime());
  let i;
  try {
    const r = await ht(t, n.fetchRequestInit, ({ res: a, result: s }) => (e || (e = a.headers.get("Content-Type") || ""), Lt(s)));
    i = lt(r, e);
  } catch (r) {
    i = n.imagePlaceholder || "";
    let a = `Failed to fetch resource: ${t}`;
    r && (a = typeof r == "string" ? r : r.message), a && console.warn(a);
  }
  return Z[o] = i, i;
}
async function Ot(t) {
  const e = t.toDataURL();
  return e === "data:," ? t.cloneNode(!1) : X(e);
}
async function At(t, e) {
  if (t.currentSrc) {
    const r = document.createElement("canvas"), a = r.getContext("2d");
    r.width = t.clientWidth, r.height = t.clientHeight, a == null || a.drawImage(t, 0, 0, r.width, r.height);
    const s = r.toDataURL();
    return X(s);
  }
  const n = t.poster, o = J(n), i = await K(n, o, e);
  return X(i);
}
async function Ht(t) {
  var e;
  try {
    if (!((e = t == null ? void 0 : t.contentDocument) === null || e === void 0) && e.body)
      return await B(t.contentDocument.body, {}, !0);
  } catch {
  }
  return t.cloneNode(!1);
}
async function Xt(t, e) {
  return $(t, HTMLCanvasElement) ? Ot(t) : $(t, HTMLVideoElement) ? At(t, e) : $(t, HTMLIFrameElement) ? Ht(t) : t.cloneNode(!1);
}
const Bt = (t) => t.tagName != null && t.tagName.toUpperCase() === "SLOT";
async function Ut(t, e, n) {
  var o, i;
  let r = [];
  return Bt(t) && t.assignedNodes ? r = v(t.assignedNodes()) : $(t, HTMLIFrameElement) && (!((o = t.contentDocument) === null || o === void 0) && o.body) ? r = v(t.contentDocument.body.childNodes) : r = v(((i = t.shadowRoot) !== null && i !== void 0 ? i : t).childNodes), r.length === 0 || $(t, HTMLVideoElement) || await r.reduce((a, s) => a.then(() => B(s, n)).then((c) => {
    c && e.appendChild(c);
  }), Promise.resolve()), e;
}
function Ft(t, e) {
  const n = e.style;
  if (!n)
    return;
  const o = window.getComputedStyle(t);
  o.cssText ? (n.cssText = o.cssText, n.transformOrigin = o.transformOrigin) : v(o).forEach((i) => {
    let r = o.getPropertyValue(i);
    i === "font-size" && r.endsWith("px") && (r = `${Math.floor(parseFloat(r.substring(0, r.length - 2))) - 0.1}px`), $(t, HTMLIFrameElement) && i === "display" && r === "inline" && (r = "block"), i === "d" && e.getAttribute("d") && (r = `path(${e.getAttribute("d")})`), n.setProperty(i, r, o.getPropertyPriority(i));
  });
}
function Wt(t, e) {
  $(t, HTMLTextAreaElement) && (e.innerHTML = t.value), $(t, HTMLInputElement) && e.setAttribute("value", t.value);
}
function Yt(t, e) {
  if ($(t, HTMLSelectElement)) {
    const n = e, o = Array.from(n.children).find((i) => t.value === i.getAttribute("value"));
    o && o.setAttribute("selected", "");
  }
}
function zt(t, e) {
  return $(e, Element) && (Ft(t, e), Tt(t, e), Wt(t, e), Yt(t, e)), e;
}
async function Vt(t, e) {
  const n = t.querySelectorAll ? t.querySelectorAll("use") : [];
  if (n.length === 0)
    return t;
  const o = {};
  for (let r = 0; r < n.length; r++) {
    const s = n[r].getAttribute("xlink:href");
    if (s) {
      const c = t.querySelector(s), h = document.querySelector(s);
      !c && h && !o[s] && (o[s] = await B(h, e, !0));
    }
  }
  const i = Object.values(o);
  if (i.length) {
    const r = "http://www.w3.org/1999/xhtml", a = document.createElementNS(r, "svg");
    a.setAttribute("xmlns", r), a.style.position = "absolute", a.style.width = "0", a.style.height = "0", a.style.overflow = "hidden", a.style.display = "none";
    const s = document.createElementNS(r, "defs");
    a.appendChild(s);
    for (let c = 0; c < i.length; c++)
      s.appendChild(i[c]);
    t.appendChild(a);
  }
  return t;
}
async function B(t, e, n) {
  return !n && e.filter && !e.filter(t) ? null : Promise.resolve(t).then((o) => Xt(o, e)).then((o) => Ut(t, o, e)).then((o) => zt(t, o)).then((o) => Vt(o, e));
}
const ut = /url\((['"]?)([^'"]+?)\1\)/g, Zt = /url\([^)]+\)\s*format\((["']?)([^"']+)\1\)/g, qt = /src:\s*(?:url\([^)]+\)\s*format\([^)]+\)[,;]\s*)+/g;
function jt(t) {
  const e = t.replace(/([.*+?^${}()|\[\]\/\\])/g, "\\$1");
  return new RegExp(`(url\\(['"]?)(${e})(['"]?\\))`, "g");
}
function Jt(t) {
  const e = [];
  return t.replace(ut, (n, o, i) => (e.push(i), n)), e.filter((n) => !q(n));
}
async function Kt(t, e, n, o, i) {
  try {
    const r = n ? St(e, n) : e, a = J(e);
    let s;
    if (i) {
      const c = await i(r);
      s = lt(c, a);
    } else
      s = await K(r, a, o);
    return t.replace(jt(e), `$1${s}$3`);
  } catch {
  }
  return t;
}
function Gt(t, { preferredFontFormat: e }) {
  return e ? t.replace(qt, (n) => {
    for (; ; ) {
      const [o, , i] = Zt.exec(n) || [];
      if (!i)
        return "";
      if (i === e)
        return `src: ${o};`;
    }
  }) : t;
}
function dt(t) {
  return t.search(ut) !== -1;
}
async function mt(t, e, n) {
  if (!dt(t))
    return t;
  const o = Gt(t, n);
  return Jt(o).reduce((r, a) => r.then((s) => Kt(s, a, e, n)), Promise.resolve(o));
}
async function O(t, e, n) {
  var o;
  const i = (o = e.style) === null || o === void 0 ? void 0 : o.getPropertyValue(t);
  if (i) {
    const r = await mt(i, null, n);
    return e.style.setProperty(t, r, e.style.getPropertyPriority(t)), !0;
  }
  return !1;
}
async function Nt(t, e) {
  await O("background", t, e) || await O("background-image", t, e), await O("mask", t, e) || await O("mask-image", t, e);
}
async function Qt(t, e) {
  const n = $(t, HTMLImageElement);
  if (!(n && !q(t.src)) && !($(t, SVGImageElement) && !q(t.href.baseVal)))
    return;
  const o = n ? t.src : t.href.baseVal, i = await K(o, J(o), e);
  await new Promise((r, a) => {
    t.onload = r, t.onerror = a;
    const s = t;
    s.decode && (s.decode = r), s.loading === "lazy" && (s.loading = "eager"), n ? (t.srcset = "", t.src = i) : t.href.baseVal = i;
  });
}
async function _t(t, e) {
  const o = v(t.childNodes).map((i) => gt(i, e));
  await Promise.all(o).then(() => t);
}
async function gt(t, e) {
  $(t, Element) && (await Nt(t, e), await Qt(t, e), await _t(t, e));
}
function te(t, e) {
  const { style: n } = t;
  e.backgroundColor && (n.backgroundColor = e.backgroundColor), e.width && (n.width = `${e.width}px`), e.height && (n.height = `${e.height}px`);
  const o = e.style;
  return o != null && Object.keys(o).forEach((i) => {
    n[i] = o[i];
  }), t;
}
const et = {};
async function nt(t) {
  let e = et[t];
  if (e != null)
    return e;
  const o = await (await fetch(t)).text();
  return e = { url: t, cssText: o }, et[t] = e, e;
}
async function ot(t, e) {
  let n = t.cssText;
  const o = /url\(["']?([^"')]+)["']?\)/g, r = (n.match(/url\([^)]+\)/g) || []).map(async (a) => {
    let s = a.replace(o, "$1");
    return s.startsWith("https://") || (s = new URL(s, t.url).href), ht(s, e.fetchRequestInit, ({ result: c }) => (n = n.replace(a, `url(${c})`), [a, c]));
  });
  return Promise.all(r).then(() => n);
}
function it(t) {
  if (t == null)
    return [];
  const e = [], n = /(\/\*[\s\S]*?\*\/)/gi;
  let o = t.replace(n, "");
  const i = new RegExp("((@.*?keyframes [\\s\\S]*?){([\\s\\S]*?}\\s*?)})", "gi");
  for (; ; ) {
    const c = i.exec(o);
    if (c === null)
      break;
    e.push(c[0]);
  }
  o = o.replace(i, "");
  const r = /@import[\s\S]*?url\([^)]*\)[\s\S]*?;/gi, a = "((\\s*?(?:\\/\\*[\\s\\S]*?\\*\\/)?\\s*?@media[\\s\\S]*?){([\\s\\S]*?)}\\s*?})|(([\\s\\S]*?){([\\s\\S]*?)})", s = new RegExp(a, "gi");
  for (; ; ) {
    let c = r.exec(o);
    if (c === null) {
      if (c = s.exec(o), c === null)
        break;
      r.lastIndex = s.lastIndex;
    } else
      s.lastIndex = r.lastIndex;
    e.push(c[0]);
  }
  return e;
}
async function ee(t, e) {
  const n = [], o = [];
  return t.forEach((i) => {
    if ("cssRules" in i)
      try {
        v(i.cssRules || []).forEach((r, a) => {
          if (r.type === CSSRule.IMPORT_RULE) {
            let s = a + 1;
            const c = r.href, h = nt(c).then((u) => ot(u, e)).then((u) => it(u).forEach((m) => {
              try {
                i.insertRule(m, m.startsWith("@import") ? s += 1 : i.cssRules.length);
              } catch (d) {
                console.error("Error inserting rule from remote css", {
                  rule: m,
                  error: d
                });
              }
            })).catch((u) => {
              console.error("Error loading remote css", u.toString());
            });
            o.push(h);
          }
        });
      } catch (r) {
        const a = t.find((s) => s.href == null) || document.styleSheets[0];
        i.href != null && o.push(nt(i.href).then((s) => ot(s, e)).then((s) => it(s).forEach((c) => {
          a.insertRule(c, i.cssRules.length);
        })).catch((s) => {
          console.error("Error loading remote stylesheet", s);
        })), console.error("Error inlining remote css file", r);
      }
  }), Promise.all(o).then(() => (t.forEach((i) => {
    if ("cssRules" in i)
      try {
        v(i.cssRules || []).forEach((r) => {
          n.push(r);
        });
      } catch (r) {
        console.error(`Error while reading CSS rules from ${i.href}`, r);
      }
  }), n));
}
function ne(t) {
  return t.filter((e) => e.type === CSSRule.FONT_FACE_RULE).filter((e) => dt(e.style.getPropertyValue("src")));
}
async function oe(t, e) {
  if (t.ownerDocument == null)
    throw new Error("Provided element is not within a Document");
  const n = v(t.ownerDocument.styleSheets), o = await ee(n, e);
  return ne(o);
}
async function ie(t, e) {
  const n = await oe(t, e);
  return (await Promise.all(n.map((i) => {
    const r = i.parentStyleSheet ? i.parentStyleSheet.href : null;
    return mt(i.cssText, r, e);
  }))).join(`
`);
}
async function se(t, e) {
  const n = e.fontEmbedCSS != null ? e.fontEmbedCSS : e.skipFonts ? null : await ie(t, e);
  if (n) {
    const o = document.createElement("style"), i = document.createTextNode(n);
    o.appendChild(i), t.firstChild ? t.insertBefore(o, t.firstChild) : t.appendChild(o);
  }
}
async function re(t, e = {}) {
  const { width: n, height: o } = ct(t, e), i = await B(t, e, !0);
  return await se(i, e), await gt(i, e), te(i, e), await Et(i, n, o);
}
async function ae(t, e = {}) {
  const { width: n, height: o } = ct(t, e), i = await re(t, e), r = await X(i), a = document.createElement("canvas"), s = a.getContext("2d"), c = e.pixelRatio || Ct(), h = e.canvasWidth || n, u = e.canvasHeight || o;
  return a.width = h * c, a.height = u * c, e.skipAutoScale || vt(a), a.style.width = `${h}`, a.style.height = `${u}`, e.backgroundColor && (s.fillStyle = e.backgroundColor, s.fillRect(0, 0, a.width, a.height)), s.drawImage(r, 0, 0, a.width, a.height), a;
}
async function ce(t, e = {}) {
  return (await ae(t, e)).toDataURL();
}
const st = (t, e) => t < 1 ? {
  x: e.x + 3,
  y: e.y
} : t >= 1 && t <= 3 ? {
  x: e.x,
  y: e.y + 3
} : t >= 4 && t <= 6 ? {
  x: e.x,
  y: e.y - 3
} : {
  x: e.x - 3,
  y: e.y
}, le = (t, e) => [...t].sort(
  (i, r) => {
    const a = Math.sqrt(
      (i.x - e.x) * (i.x - e.x) + (i.y - e.y) * (i.y - e.y)
    ), s = Math.sqrt(
      (r.x - e.x) * (r.x - e.x) + (r.y - e.y) * (r.y - e.y)
    );
    return a - s;
  }
).reverse(), j = (t, e, n) => {
  const {
    canvasHeight: o,
    canvasWidth: i,
    x: r,
    y: a
  } = n, { from: s, points: c, to: h } = t, u = document.querySelector(
    `#org-${e} #org-${e}-item-${s.item}-io-${s.io}`
  ), m = document.querySelector(
    `#org-${e} #org-${e}-item-${h.item}-io-${h.io}`
  );
  if (u && m) {
    const {
      height: d,
      width: f,
      x: g,
      y: C
    } = u.getBoundingClientRect().toJSON(), {
      height: l,
      width: w,
      x: E,
      y: I
    } = m.getBoundingClientRect().toJSON(), M = f / 2 + (g - r) * i, U = d / 2 + (C - a) * o, F = w / 2 + (E - r) * i, W = l / 2 + (I - a) * o, R = {
      ...st(s.io, {
        x: M,
        y: U
      })
    }, T = {
      ...st(h.io, {
        x: F,
        y: W
      })
    };
    if (c != null && c.length) {
      const Y = c.map((De, z) => z === c.length - 1 ? `L ${T.x} ${T.y}` : `L ${c[z + 1].x} ${c[z + 1].y}`).join(" ");
      return `M ${R.x} ${R.y} L ${c[0].x} ${c[0].y} ${Y}`;
    }
    return `M ${R.x} ${R.y} L ${T.x} ${T.y}`;
  }
}, he = rt({
  emits: {
    changePoint: (t, e) => !0,
    dragItem: (t) => !0,
    dragConnection: (t, e) => !0,
    dragPoint: (t, e) => !0,
    selectConnection: (t) => !0
  },
  props: {
    canvasState: {
      required: !0,
      type: Object
    },
    connectorState: {
      required: !0,
      type: Object
    },
    isDragged: {
      required: !1,
      type: Boolean
    },
    isEditable: {
      required: !1,
      type: Boolean
    },
    item: {
      required: !0,
      type: Object
    },
    selectedConnection: {
      required: !1,
      type: Object
    }
  },
  name: "sb-organization-tree-item",
  data() {
    return {
      connectionsPath: {}
    };
  },
  computed: {
    getItemPosition() {
      return {
        left: this.item.coordinates.x ? `${this.item.coordinates.x}px` : 0,
        top: this.item.coordinates.y ? `${this.item.coordinates.y}px` : 0
      };
    },
    isConnecting() {
      return this.connectorState.from ? this.connectorState.from.split("-io-")[0] === this.$.vnode.key : !1;
    }
  },
  methods: {
    getConnectionPath(t) {
      if (this.canvasState.elem) {
        const e = String(this.$.vnode.key).split("-item-")[0].replace("org-", ""), n = this.canvasState.elem.getBoundingClientRect().toJSON(), o = n.height || 0, i = n.width || 0, r = i / (i * this.canvasState.zoom) || 0, a = o / (o * this.canvasState.zoom) || 0;
        return j(t, e, {
          canvasHeight: a,
          canvasWidth: r,
          x: n.x,
          y: n.y
        });
      }
    },
    getCoordinatesMove(t) {
      return t.type === "touchstart" ? {
        x: t.touches[0].clientX,
        y: t.touches[0].clientY
      } : {
        x: t.clientX,
        y: t.clientY
      };
    },
    handleCircleDoubleClick(t, e) {
      var n;
      if (this.isEditable) {
        const o = [
          ...this.item.connections || []
        ], i = [
          ...((n = o[t]) == null ? void 0 : n.points) || []
        ];
        i.splice(e, 1), o[t] = {
          ...o[t],
          points: [...i]
        };
        const r = Number(
          String(this.$.vnode.key).split("-item-")[1]
        );
        this.$emit(
          "changePoint",
          {
            ...this.item,
            connections: [...o]
          },
          r
        );
      }
    },
    handleClickIO(t, e) {
      const n = t.target;
      if (n && this.isEditable) {
        const o = n.getBoundingClientRect();
        this.$emit(
          "dragConnection",
          `${String(this.$.vnode.key)}-io-${e}`,
          o
        );
      }
    },
    handleClickPoint(t, e, n) {
      const o = t.target;
      if (o && this.isEditable) {
        const i = o.getBoundingClientRect();
        this.$emit(
          "dragPoint",
          {
            connection: e,
            item: Number(
              String(this.$.vnode.key).split("-item-")[1]
            ),
            point: n
          },
          i
        );
      }
    },
    handleConnectionClick(t, e) {
      if (this.isEditable && t.target) {
        const n = {
          ...this.item.connections[e] || {}
        };
        this.$emit("selectConnection", {
          from: n.from,
          key: `${String(this.$.vnode.key)}-connection-${e}`,
          to: n.to
        });
      }
    },
    handleConnectionDoubleClick(t, e) {
      const n = [
        ...this.item.connections || []
      ], { elem: o, zoom: i } = this.canvasState;
      if (o && this.isEditable) {
        const { height: r, width: a, x: s, y: c } = o.getBoundingClientRect().toJSON(), h = t.clientX, u = t.clientY, m = h * (a / (a * i)) - s * (a / (a * i)), d = u * (r / (r * i)) - c * (r / (r * i)), f = String(this.$.vnode.key).split(
          "-item-"
        )[0], g = document.getElementById(
          `${f}-item-${n[e].to.item}-io-${n[e].to.io}`
        );
        if (g && this.canvasState.elem) {
          const {
            height: C,
            width: l,
            x: w,
            y: E
          } = g.getBoundingClientRect().toJSON(), {
            height: I,
            width: M,
            x: U,
            y: F
          } = this.canvasState.elem.getBoundingClientRect().toJSON(), W = l / 2 + (w - U) * M, R = C / 2 + (E - F) * I, T = [
            ...le(
              [
                ...n[e].points || [],
                {
                  x: m,
                  y: d
                }
              ],
              {
                x: W,
                y: R
              }
            )
          ];
          n[e] = {
            ...n[e],
            points: [...T]
          };
          const Y = Number(
            String(this.$.vnode.key).split("-item-")[1]
          );
          this.$emit(
            "changePoint",
            {
              ...this.item,
              connections: [...n]
            },
            Y
          );
        }
      }
    },
    handleItemClick(t) {
      if (!t.target.classList.contains("io") && this.isEditable) {
        const n = this.getCoordinatesMove(t);
        this.$emit("dragItem", {
          coordinates: n,
          elem: this.$el.nextSibling,
          key: this.$.vnode.key
        });
      }
    },
    isConnectionSelected(t) {
      return this.selectedConnection ? `${String(this.$.vnode.key)}-connection-${t}` === this.selectedConnection.key : !1;
    }
  },
  mounted() {
    this.item.connections && (this.connectionsPath = {}, this.item.connections.forEach(
      (t, e) => {
        const n = this.getConnectionPath(t);
        this.connectionsPath[`${String(this.$.vnode.key)}-connection-${e}`] = n;
      }
    ));
  },
  watch: {
    "item.connections": {
      deep: !0,
      handler(t) {
        t && (this.connectionsPath = {}, t.forEach((e, n) => {
          const o = this.getConnectionPath(e);
          this.connectionsPath[`${String(
            this.$.vnode.key
          )}-connection-${n}`] = o;
        }));
      }
    }
  }
}), ue = ["id"], de = ["id", "onMousedown", "onTouchstart"], me = ["id"], ge = ["id", "onMousedown", "onTouchstart"], fe = { class: "data-wrapper" }, pe = { class: "name" }, ye = { class: "position" }, Se = ["innerHTML"], $e = ["id"], Pe = ["d", "onClick", "onDblclick"], we = ["cx", "cy", "onDblclick", "onMousedown", "onTouchstart"];
function Ce(t, e, n, o, i, r) {
  return p(), S(b, null, [
    t.item.department ? (p(), S("div", {
      key: 0,
      class: A(["department", {
        connecting: t.isConnecting,
        draggable: t.isEditable,
        dragged: t.isDragged
      }]),
      id: String(t.$.vnode.key),
      style: D(t.getItemPosition),
      onMousedown: e[0] || (e[0] = y((...a) => t.handleItemClick && t.handleItemClick(...a), ["stop"])),
      onTouchstart: e[1] || (e[1] = y((...a) => t.handleItemClick && t.handleItemClick(...a), ["stop"]))
    }, [
      (p(!0), S(b, null, x([...Array(8).keys()], (a) => (p(), S("span", {
        class: "io",
        id: `${String(t.$.vnode.key)}-io-${a}`,
        key: `io-${a}`,
        onMousedown: y((s) => t.handleClickIO(s, a), ["stop"]),
        onTouchstart: y((s) => t.handleClickIO(s, a), ["stop"])
      }, null, 40, de))), 128)),
      ft(" " + V(t.item.department), 1)
    ], 46, ue)) : (p(), S("div", {
      key: 1,
      class: A(["card", {
        connecting: t.isConnecting,
        draggable: t.isEditable,
        dragged: t.isDragged
      }]),
      id: String(t.$.vnode.key),
      style: D(t.getItemPosition),
      onMousedown: e[2] || (e[2] = y((...a) => t.handleItemClick && t.handleItemClick(...a), ["stop"])),
      onTouchstart: e[3] || (e[3] = y((...a) => t.handleItemClick && t.handleItemClick(...a), ["stop"]))
    }, [
      (p(!0), S(b, null, x([...Array(8).keys()], (a) => (p(), S("span", {
        class: "io",
        id: `${String(t.$.vnode.key)}-io-${a}`,
        key: `io-${a}`,
        onMousedown: y((s) => t.handleClickIO(s, a), ["stop"]),
        onTouchstart: y((s) => t.handleClickIO(s, a), ["stop"])
      }, null, 40, ge))), 128)),
      t.item.photo ? (p(), S("div", {
        key: 0,
        class: "item-photo",
        style: D({
          backgroundImage: `url(${t.item.photo})`
        })
      }, null, 4)) : L("", !0),
      k("div", fe, [
        k("p", pe, V(t.item.name), 1),
        k("p", ye, V(t.item.position), 1),
        t.item.additionalInfo ? (p(), S("div", {
          key: 0,
          innerHTML: t.item.additionalInfo
        }, null, 8, Se)) : L("", !0)
      ])
    ], 46, me)),
    (p(!0), S(b, null, x(t.item.connections || [], (a, s) => (p(), S("svg", {
      class: A(["connection", {
        editable: t.isEditable,
        selected: t.isConnectionSelected(s)
      }]),
      xmlns: "http://www.w3.org/2000/svg",
      id: `${String(t.$.vnode.key)}-connection-${s}`,
      key: `${String(t.$.vnode.key)}-connection-${s}`
    }, [
      k("path", {
        d: t.connectionsPath[`${String(t.$.vnode.key)}-connection-${s}`],
        onClick: y((c) => t.handleConnectionClick(c, s), ["stop"]),
        onDblclick: y((c) => t.handleConnectionDoubleClick(c, s), ["stop"])
      }, null, 40, Pe),
      (p(!0), S(b, null, x(a.points || [], (c, h) => (p(), S("circle", {
        class: "circle",
        r: "4",
        cx: c.x,
        cy: c.y,
        key: `${String(
          t.$.vnode.key
        )}-connection-${s}-circle-${h}`,
        onDblclick: y((u) => t.handleCircleDoubleClick(s, h), ["stop"]),
        onMousedown: y((u) => t.handleClickPoint(u, s, h), ["stop"]),
        onTouchstart: y((u) => t.handleClickPoint(u, s, h), ["stop"])
      }, null, 40, we))), 128))
    ], 10, $e))), 128))
  ], 64);
}
const ve = /* @__PURE__ */ at(he, [["render", Ce]]), be = rt({
  emits: {
    change: (t) => !0
  },
  props: {
    isEditable: {
      required: !1,
      type: Boolean
    },
    list: {
      required: !0,
      type: Object
    }
  },
  name: "sb-organization-tree",
  components: {
    "sb-org-tree-item": ve
  },
  data() {
    return {
      canvasState: {
        coordinates: {
          x: 0,
          y: 0
        },
        elem: null,
        lastZoom: 1,
        zoom: 1
      },
      canvasStyle: {},
      connectorState: {
        from: null,
        fromRect: null,
        toCoordinates: null
      },
      draggedItem: null,
      exportAreaStyle: {},
      isExporting: !1,
      localList: [],
      mouseState: {
        mouse: {
          x: 0,
          y: 0
        },
        position: {
          x: 0,
          y: 0
        },
        positionStart: {
          x: 0,
          y: 0
        }
      },
      parentPointerState: {
        events: [],
        prevDiff: -1
      },
      parentState: {
        isDrag: !1,
        position: {
          x: 0,
          y: 0
        }
      },
      pointState: {
        fromRect: null,
        target: null,
        toCoordinates: null
      },
      selectedConnection: null
    };
  },
  methods: {
    async doExport() {
      this.isExporting = !0, await new Promise(
        (l) => setTimeout(() => {
          l(!0);
        }, 200)
      );
      const e = [...[...this.localList].flatMap(
        (l) => l.connections ? [...l.connections] : []
      )].flatMap(
        (l) => l.points ? [...l.points] : []
      ), n = [...this.localList].map(
        (l, w) => {
          const E = `org-${this.$.uid}-item-${w}`, I = document.getElementById(E);
          return I ? I.getBoundingClientRect().toJSON() : null;
        }
      ), o = [...n].map(
        (l) => (l == null ? void 0 : l.x) || 0
      ), i = [...n].map(
        (l) => ((l == null ? void 0 : l.x) || 0) + ((l == null ? void 0 : l.width) || 0)
      ), r = [...n].map(
        (l) => (l == null ? void 0 : l.y) || 0
      ), a = [...n].map(
        (l) => ((l == null ? void 0 : l.y) || 0) + ((l == null ? void 0 : l.height) || 0)
      ), s = [
        ...[...e].map((l) => l.x),
        ...o,
        ...i
      ], c = [
        ...[...e].map((l) => l.y),
        ...r,
        ...a
      ], h = Math.max.apply(null, s), u = Math.min.apply(null, s), m = Math.max.apply(null, c), d = Math.min.apply(null, c), f = Math.abs(d) + m, g = Math.abs(u) + h, C = this.canvasState.elem;
      if (this.exportAreaStyle = {
        height: `${f + 40}px`,
        width: `${g + 40}px`
      }, C) {
        const l = C.cloneNode(
          !0
        );
        l.classList.remove("connection-selected"), l.style.transform = "none", l.style.background = "transparent", l.style.height = `${f}px`, l.style.position = "relative", l.style.width = `${g}px`;
        const w = document.getElementById(
          `org-${this.$.uid}-export-area`
        );
        if (w) {
          w.appendChild(l);
          const E = await ce(
            w,
            {
              style: {
                opacity: "1"
              }
            }
          ).catch(() => null);
          return l.remove(), this.isExporting = !1, E;
        }
      }
      return null;
    },
    doParentZoom(t) {
      this.canvasState.zoom += t, this.$nextTick(() => this.doParentZoomRefresh());
    },
    doParentZoomRefresh() {
      const { coordinates: t, lastZoom: e, zoom: n } = this.canvasState, o = t.x / e * n, i = t.y / e * n;
      this.canvasState.lastZoom = n, this.canvasStyle = {
        transform: `translate(${o}px, ${i}px) scale(${n})`
      };
    },
    doSetTempConnectionPath() {
      if (this.connectorState.toCoordinates && this.connectorState.fromRect) {
        const { x: t, y: e } = this.connectorState.toCoordinates, {
          height: n,
          width: o,
          x: i,
          y: r
        } = this.connectorState.fromRect, { zoom: a } = this.canvasState, s = this.getCanvasRect(), c = (s == null ? void 0 : s.height) || 0, h = (s == null ? void 0 : s.width) || 0, u = h / (h * a) || 0, m = c / (c * a) || 0, d = (s == null ? void 0 : s.x) || 0, f = (s == null ? void 0 : s.y) || 0, g = o / 2 + (i - d) * u, C = n / 2 + (r - f) * m, l = t * (h / (h * a)) - d * (h / (h * a)), w = e * (c / (c * a)) - f * (c / (c * a));
        this.connectorState.pathObject = {
          from: {
            x: g,
            y: C
          },
          to: {
            x: l,
            y: w
          }
        }, this.connectorState.path = `M ${g} ${C} L ${l} ${w}`;
      } else
        this.connectorState.pathObject = void 0, this.connectorState.path = void 0;
    },
    doUpdateItemMovedConnections(t, e) {
      e.forEach((n, o) => {
        [...n.connections || []].some(
          (i) => i.from.item === t || i.to.item === t
        ) && [...n.connections || []].forEach(
          (i, r) => {
            if (i.from.item === t || i.to.item === t) {
              const a = document.getElementById(
                `org-${this.$.uid}-item-${o}-connection-${r}`
              ), s = a == null ? void 0 : a.getElementsByTagName("path"), c = String(this.$.uid), h = this.getCanvasRect(), u = h.height || 0, m = h.width || 0, d = m / (m * this.canvasState.zoom) || 0, f = u / (u * this.canvasState.zoom) || 0, g = j(
                i,
                c,
                {
                  canvasHeight: f,
                  canvasWidth: d,
                  x: h.x,
                  y: h.y
                }
              );
              g && s && s[0].setAttributeNS(
                null,
                "d",
                g
              );
            }
          }
        );
      });
    },
    doUpdatePointMovedConnection(t, e, n) {
      const o = document.getElementById(
        `org-${this.$.uid}-item-${n}-connection-${e}`
      ), i = o == null ? void 0 : o.getElementsByTagName("path"), r = String(this.$.uid), a = this.getCanvasRect(), s = a.height || 0, c = a.width || 0, h = c / (c * this.canvasState.zoom) || 0, u = s / (s * this.canvasState.zoom) || 0, m = j(
        t,
        r,
        {
          canvasHeight: u,
          canvasWidth: h,
          x: a.x,
          y: a.y
        }
      );
      m && i && i[0].setAttributeNS(null, "d", m);
    },
    getCanvasRect() {
      return this.$refs["canvas-tree"] ? {
        ...this.$refs["canvas-tree"].getBoundingClientRect().toJSON()
      } : null;
    },
    getCoordinatesEnd(t) {
      return t.type === "touchend" ? {
        x: this.mouseState.mouse.x,
        y: this.mouseState.mouse.y
      } : {
        x: t.clientX,
        y: t.clientY
      };
    },
    getCoordinatesMove(t) {
      return t.type === "touchmove" || t.type === "touchstart" ? {
        x: t.touches[0].clientX,
        y: t.touches[0].clientY
      } : {
        x: t.clientX,
        y: t.clientY
      };
    },
    handleChangeItemPoint(t, e) {
      this.localList[e] = { ...t }, this.$nextTick(() => this.$emit("change", this.localList));
    },
    handleConnectionDragged(t, e) {
      this.connectorState.from = t, this.connectorState.fromRect = { ...e.toJSON() }, this.selectedConnection = null;
    },
    handleItemChangePosition(t) {
      if (this.draggedItem) {
        const e = Number(
          this.draggedItem.key.split("-item-")[1]
        ), n = [
          ...this.localList
        ];
        n[e] = {
          ...this.localList[e],
          coordinates: t
        }, this.doUpdateItemMovedConnections(e, n), this.localList = [...n];
      }
    },
    handleItemDragged(t) {
      this.draggedItem = { ...t }, this.mouseState.position = { ...t.coordinates }, this.selectedConnection = null;
    },
    handleParentClick(t) {
      const e = this.getCoordinatesMove(t);
      this.selectedConnection = null, this.mouseState.mouse = { ...e }, this.mouseState.position = { ...e }, this.mouseState.positionStart = { ...e }, this.parentState.isDrag = !0;
    },
    handleParentDragEnd(t) {
      const { x: e, y: n } = this.getCoordinatesEnd(t), { coordinates: o } = this.canvasState, i = o.x + -(this.mouseState.position.x - e), r = o.y + -(this.mouseState.position.y - n);
      if (this.parentState.isDrag)
        this.canvasState.coordinates = {
          x: i,
          y: r
        };
      else if (this.connectorState.from) {
        const a = t.target;
        if (a.id !== this.connectorState.from && a.classList.contains("io") && !this.isConnectionExist(
          this.connectorState.from,
          a.id
        )) {
          const c = this.connectorState.from.split("-io-")[0], h = Number(
            this.connectorState.from.split("-io-")[1]
          ), u = Number(
            c.split("-item-")[1]
          ), m = a.id.split("-io-")[0], d = Number(
            a.id.split("-io-")[1]
          ), f = Number(
            m.split("-item-")[1]
          );
          if (this.localList[u] && this.localList[f] && this.connectorState.fromRect) {
            const g = [
              ...this.localList
            ];
            g[u].connections = [
              ...g[u].connections || [],
              {
                from: {
                  io: h,
                  item: u
                },
                to: {
                  io: d,
                  item: f
                }
              }
            ], this.localList = [...g];
          }
        }
      }
      this.$nextTick(() => {
        (this.draggedItem || this.pointState.target || this.connectorState.from) && this.$nextTick(
          () => this.$emit("change", this.localList)
        ), this.parentState.isDrag = !1, this.draggedItem = null, this.connectorState = {
          from: null,
          fromRect: null,
          path: void 0,
          toCoordinates: null
        }, this.pointState = {
          fromRect: null,
          target: null,
          toCoordinates: null
        };
      });
    },
    async handleParentKeydown(t) {
      if ((t.key === "Delete" || t.key === "Backspace") && this.selectedConnection) {
        t.preventDefault();
        const e = this.selectedConnection.key.split("-connection-");
        this.selectedConnection = null, await new Promise(
          (i) => setTimeout(() => i(!0), 150)
        );
        const n = Number(
          e[0].split("-item-")[1]
        ), o = Number(e[1]);
        if (this.localList[n]) {
          const i = [
            ...this.localList[n].connections || []
          ];
          this.localList[n].connections = i.filter(
            (r, a) => a !== o
          ), this.$nextTick(() => {
            this.$emit("change", this.localList);
          });
        }
      }
    },
    handleParentPointerDown(t) {
      this.parentPointerState.events.push(t);
    },
    handleParentPointerMove(t) {
      this.parentPointerState.events = [
        ...this.parentPointerState.events
      ].map((e) => e.pointerId === t.pointerId ? t : e), this.$nextTick(() => {
        if (this.parentPointerState.events.length === 2) {
          const e = Math.abs(
            this.parentPointerState.events[0].clientX - this.parentPointerState.events[1].clientX
          );
          this.parentPointerState.prevDiff > 100 && e > this.parentPointerState.prevDiff ? this.doParentZoom(0.1) : this.parentPointerState.prevDiff > 100 && e < this.parentPointerState.prevDiff && this.doParentZoom(-0.1), this.parentPointerState.prevDiff = e;
        }
      });
    },
    handleParentPointerUp(t) {
      this.parentPointerState.events = [
        ...this.parentPointerState.events
      ].filter((e) => e.pointerId !== t.pointerId), this.$nextTick(() => {
        this.parentPointerState.events.length < 2 && (this.parentPointerState.prevDiff = -1);
      });
    },
    handleParentPosition(t) {
      const { x: e, y: n } = this.getCoordinatesMove(t), { coordinates: o, zoom: i } = this.canvasState, r = this.getCanvasRect();
      if (this.parentState.isDrag) {
        const a = o.x + -(this.mouseState.position.x - e), s = o.y + -(this.mouseState.position.y - n);
        this.canvasStyle = {
          transform: `translate(${a}px, ${s}px) scale(${i})`
        };
      } else if (this.draggedItem) {
        t.preventDefault();
        const { x: a, y: s } = this.mouseState.position, c = (a - e) * ((r == null ? void 0 : r.width) || 0) / (((r == null ? void 0 : r.width) || 0) * i), h = (s - n) * ((r == null ? void 0 : r.height) || 0) / (((r == null ? void 0 : r.height) || 0) * i);
        this.handleItemChangePosition({
          x: this.draggedItem.elem.offsetLeft - c,
          y: this.draggedItem.elem.offsetTop - h
        }), this.$nextTick(() => this.mouseState.position = { x: e, y: n });
      } else if (this.connectorState.from)
        this.connectorState.toCoordinates = {
          x: e,
          y: n
        }, this.$nextTick(() => this.doSetTempConnectionPath());
      else if (this.pointState.target && this.canvasState.elem) {
        const {
          height: a,
          width: s,
          x: c,
          y: h
        } = this.canvasState.elem.getBoundingClientRect().toJSON(), u = e * (s / (s * i)) - c * (s / (s * i)), m = n * (a / (a * i)) - h * (a / (a * i)), { target: d } = this.pointState, f = [
          ...this.localList[d.item].connections || []
        ], g = [
          ...f[d.connection].points || []
        ];
        g[d.point] = {
          x: u,
          y: m
        }, this.doUpdatePointMovedConnection(
          {
            ...f[d.connection],
            points: [...g]
          },
          d.connection,
          d.item
        ), f[d.connection] = {
          ...f[d.connection],
          points: [...g]
        }, this.localList[d.item].connections = [
          ...f
        ];
      }
      this.parentState.position = { x: e, y: n }, t.type === "touchmove" && (this.mouseState.mouse = {
        x: e,
        y: n
      });
    },
    handleParentZoom(t) {
      t.ctrlKey && (t.preventDefault(), t.deltaY > 0 && this.canvasState.zoom > 0.5 ? this.doParentZoom(-0.1) : this.canvasState.zoom < 1.6 && this.doParentZoom(0.1));
    },
    handlePointDragged(t, e) {
      this.pointState.target = { ...t }, this.pointState.fromRect = { ...e.toJSON() };
    },
    handleSelectConnection(t) {
      this.selectedConnection = { ...t };
    },
    isConnectionExist(t, e) {
      return [...this.localList].flatMap(
        (o) => o.connections ? [...o.connections] : []
      ).some((o) => {
        const i = `org-${this.$.uid}-item-${o.from.item}-io-${o.from.io}`, r = `org-${this.$.uid}-item-${o.to.item}-io-${o.to.io}`;
        return t === i && e === r || t === r && e === i;
      });
    },
    isItemDragged(t) {
      var e;
      return ((e = this.draggedItem) == null ? void 0 : e.key) === t;
    }
  },
  mounted() {
    this.$refs["canvas-tree"] && (this.canvasState.elem = this.$refs["canvas-tree"]), document.addEventListener("keydown", this.handleParentKeydown), this.localList = [...this.list];
  },
  unmounted() {
    this.canvasState.elem = null, document.removeEventListener("keydown", this.handleParentKeydown);
  },
  expose: ["doExport"]
});
const Ee = ["id"], ke = {
  key: 0,
  class: "connection connecting",
  xmlns: "http://www.w3.org/2000/svg"
}, Ie = ["d"], Re = ["id"];
function Te(t, e, n, o, i, r) {
  const a = pt("sb-org-tree-item");
  return p(), S(b, null, [
    k("div", G({
      class: [{
        connecting: t.connectorState.from,
        dragging: t.parentState.isDrag
      }, "organization-wrapper"],
      id: `org-${t.$.uid}`
    }, { ...t.$attrs }, {
      onMousedown: e[0] || (e[0] = y((...s) => t.handleParentClick && t.handleParentClick(...s), ["stop"])),
      onMousemove: e[1] || (e[1] = y((...s) => t.handleParentPosition && t.handleParentPosition(...s), ["stop"])),
      onMouseup: e[2] || (e[2] = y((...s) => t.handleParentDragEnd && t.handleParentDragEnd(...s), ["stop"])),
      onPointercancel: e[3] || (e[3] = (...s) => t.handleParentPointerUp && t.handleParentPointerUp(...s)),
      onPointerdown: e[4] || (e[4] = (...s) => t.handleParentPointerDown && t.handleParentPointerDown(...s)),
      onPointerleave: e[5] || (e[5] = (...s) => t.handleParentPointerUp && t.handleParentPointerUp(...s)),
      onPointermove: e[6] || (e[6] = (...s) => t.handleParentPointerMove && t.handleParentPointerMove(...s)),
      onPointerout: e[7] || (e[7] = (...s) => t.handleParentPointerUp && t.handleParentPointerUp(...s)),
      onPointerup: e[8] || (e[8] = (...s) => t.handleParentPointerUp && t.handleParentPointerUp(...s)),
      onTouchend: e[9] || (e[9] = y((...s) => t.handleParentDragEnd && t.handleParentDragEnd(...s), ["stop"])),
      onTouchmove: e[10] || (e[10] = y((...s) => t.handleParentPosition && t.handleParentPosition(...s), ["stop"])),
      onTouchstart: e[11] || (e[11] = y((...s) => t.handleParentClick && t.handleParentClick(...s), ["stop"])),
      onWheel: e[12] || (e[12] = y((...s) => t.handleParentZoom && t.handleParentZoom(...s), ["stop"]))
    }), [
      k("div", {
        class: A(["canvas", {
          "connection-selected": t.selectedConnection
        }]),
        ref: "canvas-tree",
        style: D(t.canvasStyle)
      }, [
        t.canvasState.elem ? (p(), S(b, { key: 0 }, [
          (p(!0), S(b, null, x(t.localList, (s, c) => (p(), N(a, G({
            "canvas-state": t.canvasState,
            "connector-state": t.connectorState,
            "is-dragged": t.isItemDragged(`org-${t.$.uid}-item-${c}`),
            key: `org-${t.$.uid}-item-${c}`,
            "selected-connection": t.selectedConnection
          }, {
            isEditable: t.isEditable,
            item: s
          }, {
            onChangePoint: t.handleChangeItemPoint,
            onDragConnection: t.handleConnectionDragged,
            onDragItem: t.handleItemDragged,
            onDragPoint: t.handlePointDragged,
            onSelectConnection: t.handleSelectConnection
          }), null, 16, ["canvas-state", "connector-state", "is-dragged", "selected-connection", "onChangePoint", "onDragConnection", "onDragItem", "onDragPoint", "onSelectConnection"]))), 128)),
          t.connectorState.from ? (p(), S("svg", ke, [
            k("path", {
              d: t.connectorState.path
            }, null, 8, Ie)
          ])) : L("", !0)
        ], 64)) : L("", !0)
      ], 6)
    ], 16, Ee),
    (p(), N(yt, { to: "body" }, [
      t.isExporting ? (p(), S("div", {
        key: 0,
        class: "export-area-org-chart",
        id: `org-${t.$.uid}-export-area`,
        style: D(t.exportAreaStyle)
      }, null, 12, Re)) : L("", !0)
    ]))
  ], 64);
}
const Oe = /* @__PURE__ */ at(be, [["render", Te]]);
export {
  Oe as default
};
